/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Jaunty entity File
#ifndef _EJUMPER_H
#define _EJUMPER_H

//Includes
#include "Entity.h"
#include "../µsprite.h"

//Defines

//Paramčtres du JUMPER
// TYPE : static
// p1 et p2 : w h 
// Autres : 

class eJumper : public CEntity
{
   public:
   	eJumper();
   	virtual ~eJumper();
   	virtual void Draw(int layer);
	   virtual void Update();
	   virtual void Destroy();
	   virtual void Load();
	   virtual void CheckInteractions();
	   
	public:
	   int w, h;
};
#endif
